### Method

# Adw SidebarSection set_menu_model

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_section_set_menu_model (
      AdwSidebarSection* self,
      GMenuModel* menu_model
    )

#### Description [src]

Sets the context menu model for `self`‘s items.

When a context menu is shown for an item, it will be constructed from the provided menu model. Use the `AdwSidebar::setup-menu` signal to set up the menu actions for the particular item.

If not set, `AdwSidebar:menu-model` will be used instead.

Available since: 1.9

Sets property | `Adw.SidebarSection:menu-model`

#### Parameters

`menu_model`

  Type: `GMenuModel`

  A menu model.

  The argument can be `NULL`.
  The data is owned by the caller of the method.